=== debian/changelog ===
cppzmq (4.8.1-3) unstable; urgency=medium

  * fix missing Replaces (Closes: #1017594)

 -- Stephan Lachnit <stephanlachnit@debian.org>  Thu, 18 Aug 2022 13:22:14 +0200

cppzmq (4.8.1-2) unstable; urgency=medium

  * fix autopkgtest
  * mark as Multi-Arch: no due to conflicting CMake files

 -- Stephan Lachnit <stephanlachnit@debian.org>  Tue, 16 Aug 2022 09:35:00 +0200

cppzmq (4.8.1-1) unstable; urgency=medium

  [ Gordon Ball ]
  * Initial packaging

  [ Stephan Lachnit ]
  * Initial release (Closes: #1016347)

 -- Stephan Lachnit <stephanlachnit@debian.org>  Fri, 29 Jul 2022 21:52:26 +0200
