=== debian/control ===
Source: cppzmq
Priority: optional
Section: libs
Maintainer: Stephan Lachnit <stephanlachnit@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               libzmq3-dev,
               pkg-config,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/zeromq/cppzmq
Vcs-Git: https://salsa.debian.org/debian/cppzmq.git
Vcs-Browser: https://salsa.debian.org/debian/cppzmq

Package: cppzmq-dev
Section: libdevel
Architecture: any
Multi-Arch: no
Depends: ${misc:Depends}, libzmq3-dev
Breaks: libzmq3-dev (<< 4.3.4-3)
Replaces: libzmq3-dev (<< 4.3.4-3)
Description: C++ bindings for libzmq (headers)
 cppzmq is a header-only C++ binding for libzmq, which tries to provide
 a type-safe, exception handled and resource managed view of libzmq.
