## cppzmq 4.9.0

=== debian/changelog ===
cppzmq (4.9.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + cppzmq-dev: Add Multi-Arch: same.

  [ Stephan Lachnit ]
  * New upstream version 4.9.0

 -- Stephan Lachnit <stephanlachnit@debian.org>  Wed, 09 Nov 2022 21:51:01 +0100
