=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Package: cppzmq-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: no
+Multi-Arch: same
 Depends: ${misc:Depends}, libzmq3-dev
 Breaks: libzmq3-dev (<< 4.3.4-3)
 Replaces: libzmq3-dev (<< 4.3.4-3)
