=== debian/changelog ===
cppzmq (4.10.0-1build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 13:10:31 +0200

cppzmq (4.10.0-1) unstable; urgency=medium

  * New upstream version 4.10.0
  * Update Standards-Version to 4.6.2, no changes needed
  * Add patch to bump minimum CMake version (Closes: #1040723)

 -- Stephan Lachnit <stephanlachnit@debian.org>  Thu, 20 Jul 2023 23:19:41 +0200
