=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: cppzmq
 Priority: optional
 Section: libs
-Maintainer: Stephan Lachnit <stephanlachnit@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Stephan Lachnit <stephanlachnit@debian.org>
 Build-Depends: debhelper-compat (= 13),
                cmake,
                libzmq3-dev,
                pkg-config,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/zeromq/cppzmq
 Vcs-Git: https://salsa.debian.org/debian/cppzmq.git
 Vcs-Browser: https://salsa.debian.org/debian/cppzmq
