=== debian/watch ===
version=4
https://github.com/zeromq/cppzmq/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
